<p-dialog [(visible)]="display" header="Titulo" [position]="utilitiesConfig.optionsDialog.position"
  [modal]="utilitiesConfig.optionsDialog.modal" [styleClass]="utilitiesConfig.optionsDialog.styleClass"
  [breakpoints]="utilitiesConfig.optionsDialog.breakpoints" [baseZIndex]="utilitiesConfig.optionsDialog.baseZIndex"
  [draggable]="utilitiesConfig.optionsDialog.draggable" [maximizable]="utilitiesConfig.optionsDialog.maximizable"
  [style]="utilitiesConfig.optionsDialog.style" [contentStyle]="utilitiesConfig.optionsDialog.contentStyle"
  (onHide)="goToPage()">

  <ng-template pTemplate="header">
    <span class="p-dialog-title">
      <em class="pi pi-pencil"></em>
      Serpiente
    </span>
    <div class="ties">
      <span class="void">
        <span class="tie-knot"></span>
      </span>
      <span class="void">
        <span class="tie-knot"></span>
      </span>
    </div>
  </ng-template>

  <div class="container">

    <div class="score-card">
      <div class="score-board">
        <img src="assets/images/snake/copa.png" width="60" height="70">
        <h1>Puntaje</h1>
        <h3>{{food?.currentScore}}</h3>
      </div>

      <div class="restart-button" (click)="restart()">
        REINICIAR
      </div>
    </div>

    <div class="game-board">
    </div>

    <div class="game-over" *ngIf="gameOver">
      <h1>Game Over</h1>
    </div>

    <div class="mobile-controls">
      <nav class="o-pad">
        <a class="up" (click)="dpadMovement('ArrowUp')"></a>
        <a class="right" (click)="dpadMovement('ArrowRight')"></a>
        <a class="down" (click)="dpadMovement('ArrowDown')"></a>
        <a class="left" (click)="dpadMovement('ArrowLeft')"></a>
      </nav>
    </div>
  </div>

  <ng-template pTemplate="footer">
  </ng-template>
</p-dialog>